Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Apr 2022 17:10:59 +0200

Clément Pit--Claudel <[email-masked]> writes:

> It would be nice to have a lisp-configurable default for tooltip
> timeout; currently, it is hardcoded to 5 seconds in x_show_tip.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Reading this thread, there were some good arguments for why we shouldn't
add such a variable -- x-show-tip isn't supposed to be called directly,
and tooltip.el already has a way to tweak this.

But x-show-tip is called directly by various things (even things
in-tree), so I think it makes sense to add such a variable, and I've now
done so in Emacs 29.  (But not as a user option -- just a variable
mentioned in the `x-show-tip' doc string.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no